iConfigIterator Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iConfigIterator Struct Reference
Utilities

Iterator which allows sequential access to configuration information contained in an iConfigFile object. More...

`#include <iutil/cfgfile.h>`

Inheritance diagram for iConfigIterator:

List of all members.

## Public Member Functions
virtual bool | GetBool () const =0
| Get a boolean value from the configuration.
virtual const char * | GetComment () const =0
| Get the comment of the given key, or 0 if no comment exists.
virtual iConfigFile * | GetConfigFile () const =0
| Returns the configuration object for this iterator.
virtual float | GetFloat () const =0
| Get a float value from the configuration.
virtual int | GetInt () const =0
| Get an integer value from the configuration.
virtual const char * | GetKey (bool Local=false) const =0
| Get the current key name.
virtual const char * | GetStr () const =0
| Get a string value from the configuration.
virtual const char * | GetSubsection () const =0
| Returns the subsection in the configuration.
virtual csPtr< iStringArray > | GetTuple () const =0
| Get a tuple set from the configuration.
virtual bool | HasNext ()=0
| Return whether there is another valid key.
virtual bool | Next ()=0
| Move to the next valid key. Returns false if no more keys exist.
virtual void | Rewind ()=0
| Rewind the iterator (points to nowhere after this).

## Detailed Description

Iterator which allows sequential access to configuration information contained in an iConfigFile object.

Definition at line 157 of file cfgfile.h.

## Member Function Documentation

virtual bool iConfigIterator::GetBool | ( |  | ) | const`[pure virtual]`

Get a boolean value from the configuration.

virtual const char* iConfigIterator::GetComment | ( |  | ) | const`[pure virtual]`

Get the comment of the given key, or 0 if no comment exists.

virtual iConfigFile* iConfigIterator::GetConfigFile | ( |  | ) | const`[pure virtual]`

Returns the configuration object for this iterator.

virtual float iConfigIterator::GetFloat | ( |  | ) | const`[pure virtual]`

Get a float value from the configuration.

virtual int iConfigIterator::GetInt | ( |  | ) | const`[pure virtual]`

Get an integer value from the configuration.

virtual const char* iConfigIterator::GetKey | ( | bool | Local = `false` | ) | const`[pure virtual]`

Get the current key name.

Set Local to true to return only the local name inside the iterated subsection. This is the portion of the key string which follows the subsection prefix which was used to create this iterator.

virtual const char* iConfigIterator::GetStr | ( |  | ) | const`[pure virtual]`

Get a string value from the configuration.

virtual const char* iConfigIterator::GetSubsection | ( |  | ) | const`[pure virtual]`

Returns the subsection in the configuration.

virtual csPtr<iStringArray> iConfigIterator::GetTuple | ( |  | ) | const`[pure virtual]`

Get a tuple set from the configuration.

virtual bool iConfigIterator::HasNext | ( |  | ) | `[pure virtual]`

Return whether there is another valid key.

virtual bool iConfigIterator::Next | ( |  | ) | `[pure virtual]`

Move to the next valid key. Returns false if no more keys exist.

virtual void iConfigIterator::Rewind | ( |  | ) | `[pure virtual]`

Rewind the iterator (points to nowhere after this).

The documentation for this struct was generated from the following file:

- iutil/cfgfile.h